import java.awt.Color;

public class A4Test
{

  public static void main(String[] args)
  {
    Environment env = new BoundedEnv(4,6);
    env.add(new Piece(new Location(0, 0), Color.BLACK));
    env.add(new Piece(new Location(1, 0), Color.BLACK));
    env.add(new Piece(new Location(1, 1), Color.BLACK));
    env.add(new Piece(new Location(1, 3), Color.WHITE));
    env.add(new Piece(new Location(2, 0), Color.BLACK));
    env.add(new Piece(new Location(2, 1), Color.WHITE));
    env.add(new Piece(new Location(2, 3), Color.WHITE));
    env.add(new Piece(new Location(2, 5), Color.BLACK));
    env.add(new Piece(new Location(3, 0), Color.WHITE));
    env.add(new Piece(new Location(3, 1), Color.WHITE));
    env.add(new Piece(new Location(3, 2), Color.WHITE));
    env.add(new Piece(new Location(3, 3), Color.BLACK));
    env.add(new Piece(new Location(3, 5), Color.BLACK));

    DropGame game = new DropGame(env);
    for (int c = 0; c < env.numCols(); c++)
      System.out.println(c + ": " + game.dropLocationForColumn(c) + " " +
            game.dropMatchesNeighbors(c, Color.WHITE) + " " +
            game.dropMatchesNeighbors(c, Color.BLACK));

  }
}
