  /*** Part (b) ***/

import java.util.*;

public class Bundle implements Product
{
  private List<Product> items;

  public Bundle()
  {
    items = new LinkedList<Product>();
  }

  public void add(Product p)
  {
    items.add(p);
  }

  public double getPrice()
  {
    double price = 0.0;

    for (Product item : items)
      price += item.getPrice();

    return price;
  }
}

/*

public class Bundle extends LinkedList<Product> implements Product
{
  public double getPrice()
  {
    double price = 0.0;

    for (Product item : items)
      price += item.getPrice();

    return price;
  }
}

*/

