import java.awt.Color;

public class AB4Test
{

  public static void main(String[] args)
  {
    Environment env = new BoundedEnv(6,6);
    env.add(new Piece(new Location(0, 1), Color.BLACK));
    env.add(new Piece(new Location(1, 0), Color.BLACK));
    env.add(new Piece(new Location(1, 4), Color.BLACK));
    env.add(new Piece(new Location(2, 3), Color.BLACK));
    env.add(new Piece(new Location(4, 1), Color.BLACK));
    env.add(new Piece(new Location(5, 0), Color.BLACK));
    env.add(new Piece(new Location(5, 3), Color.BLACK));

    PathFinder pf = new PathFinder(env);

    System.out.println("(5,1) => (2,4): " +
            pf.findNEPath(new Location(5, 1), new Location(2, 4)));
    System.out.println("(3,3) => (0,4): " +
            pf.findNEPath(new Location(3, 3), new Location(0, 4)));
    System.out.println("(2,4) => (5,1): " +
            pf.findNEPath(new Location(2, 4), new Location(5, 1)));
  }
}
